### Method

# GUPnP ServiceInfo get_id

#### Declaration [src]

    char*
    gupnp_service_info_get_id (
      GUPnPServiceInfo* info
    )

#### Description [src]

Get the serviceID of this service, or `NULL` if there is no ID.

The serviceID should be unique to a device. This makes it possible to provide the same serviceType multiple times on one device

Example: `org:serviceId:RenderingControl`.

#### Return value

Type: `char*`

A string. This string should be freed with `g_free()` after use.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The value is a NUL terminated UTF-8 string.